Index: board_enable.c
===================================================================
--- board_enable.c	(revision 997)
+++ board_enable.c	(working copy)
@@ -190,6 +190,15 @@
 	w836xx_ext_leave(port);
 }
 
+/** 
+ * Suited for: QDI KD7G: VIA KM266 + VT8235 + Winbond W83697SF.
+*/
+static int board_qdi_kd7g(const char *name)
+{
+        w836xx_memw_enable(0x2E);
+        return 0;
+}
+
 /**
  * Suited for:
  *   - EPoX EP-8K5A2: VIA KT333 + VT8235.
@@ -1360,6 +1369,7 @@
 	{0x1106, 0x3205, 0x1106, 0x3205,  0x10EC, 0x8139, 0xA0A0, 0x0477, NULL,          NULL,         NULL,          "AOpen",       "vKM400Am-S",            0,   OK, it8705f_write_enable_2e},
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe61",       "Artec Group", "DBE61",                 0,   OK, board_artecgroup_dbe6x},
 	{0x1022, 0x2090,      0,      0,  0x1022, 0x2080,      0,      0, NULL,          "artecgroup", "dbe62",       "Artec Group", "DBE62",                 0,   OK, board_artecgroup_dbe6x},
+	{0x1106, 0x3116, 0x1106, 0x3116,  0x1106, 0x3177, 0x1106, 0x3177, "^KM266-8235$", NULL,         NULL,          "QDI",         "KD7G",                  0,   OK, board_qdi_kd7g},
 	{0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3065, 0x1043, 0x80ED, NULL,          NULL,         NULL,          "ASUS",        "A7V600-X",              0,   OK, it8712f_gpio3_1_raise},
 	{0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3177, 0x1043, 0x808C, NULL,          NULL,         NULL,          "ASUS",        "A7V8X",                 0,   OK, board_asus_a7v8x},
 	{0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3177, 0x1043, 0x80A1, NULL,          NULL,         NULL,          "ASUS",        "A7V8X-X",               0,   OK, it8712f_gpio3_1_raise},
